# Function applyChallenges

- applyChallenges(gameMode, challengeType, ...args): boolean

- Apply all challenges of a given challenge type.

  #### Parameters

  - gameMode: GameMode
  - challengeType: ChallengeType

    What challenge type to apply

  - `Rest` ...args: any[]

    Any args for that challenge type

  #### Returns boolean

  True if any challenge was successfully applied.

  - Defined in src/data/challenge.ts:534